﻿@using SportsClub.Areas.Dashboard.Models
@model CatalogSettingsViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Catalog settings
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="save()">

        <fieldset>
            <legend>Location</legend>
            <div>
                <label class="req-star">Counties/districts</label>
                <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.Counties)>
                    <div @Html.AngTooltipValidationFor(model => model.Counties)>

                        <select chosen multiple ng-model="@Html.Ang(m => m.Counties)"
                                name="Counties" data-placeholder="Select counties"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in AllCounties"></select>
                        @*ng-options="tip.DESC group by tip.TIPIS for tip in tipall"><br>*@
                    </div>
                </div>
            </div>
            <div>
                <label>Potential counties/districts</label>
                <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.CountiesMayBe)>
                    <div @Html.AngTooltipValidationFor(model => model.CountiesMayBe)>

                        <select chosen multiple ng-model="@Html.Ang(m => m.CountiesMayBe)"
                                name="Counties" data-placeholder="Select maybe counties"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in AllCounties"></select>
                        @*ng-options="tip.DESC group by tip.TIPIS for tip in tipall"><br>*@
                    </div>
                </div>
            </div>

        </fieldset>

        <fieldset>
            <legend>Program types</legend>
            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.BeforeSchool" type="checkbox">
                        <span class="check"></span>
                        Before school
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.AfterSchool" type="checkbox">
                        <span class="check"></span>
                        After school
                    </label>
                </div>
            </div>
        </fieldset>

        <fieldset>
            <legend>School types</legend>
            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.PreSchools" type="checkbox">
                        <span class="check"></span>
                        Preschools
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.ElementarySchools" type="checkbox">
                        <span class="check"></span>
                        Elementary schools
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.MiddleSchools" type="checkbox">
                        <span class="check"></span>
                        Middle schools
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.HighSchools" type="checkbox">
                        <span class="check"></span>
                        High schools
                    </label>
                </div>

            </div>
        </fieldset>

        <fieldset>
            <legend>About Us</legend>
            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.WeeklyEmail)" type="checkbox">
                        <span class="check"></span>
                        We commit to sending registered parents weekly or bi-weekly updates about
                        the class content. We understand that failure to do so after committing to this may
                        result in removal from a school’s enrichment program.
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.FairFaxCounty)" type="checkbox">
                        <span class="check"></span>
                        We certify that we appear on list of Approved Vendors issued by the Fairfax county office of community use.
                    </label>
                </div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.VirtusCertify)" type="checkbox">
                        <span class="check"></span>
                        We certify that we currently have VIRTUS certified instructors on staff and are therefore able to accept invitations
                        from private Catholic schools that have this requirment.
                    </label>
                </div>

                <div class="clearfix"></div>

                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="@Html.Ang(model => model.JumbulaMobileApp)" type="checkbox">
                        <span class="check"></span>
                        We commit to using the Jumbula Mobile App for check in, dismissal and attendance.
                    </label>
                </div>

            </div>
        </fieldset>

        <fieldset>
            <legend>Title 1 schools</legend>
            <span>
                Title 1 schools are a federal/state classification for schools with a certain percentage of their students receiving free or reduced fee lunch. They typically designate economically disadvantaged students/communities.
            </span>

            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.HasTitle1SchoolDiscounts" type="checkbox">
                        <span class="check"></span>
                        We offer discounts to title 1 schools
                    </label>
                </div>

                <div ng-show="Model.HasTitle1SchoolDiscounts">
                    <label class="req-star" for="@Html.Ang(m => m.Title1SchoolDiscountType)">Type  of discount</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Title1SchoolDiscountType)>
                        <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Title1SchoolDiscountType)" ng-model="@Html.Ang(m => m.Title1SchoolDiscountType)" @Html.AngTooltipValidationFor(model => model.Title1SchoolDiscountType) />
                    </div>
                </div>
            </div>
        </fieldset>

        <fieldset ng-show="MC.account.hasPartner">
            <legend>Provider catalog</legend>
            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-change="changePIN()" ng-model="Model.CatalogSearchTags.NoGlobalSearch" type="checkbox">
                        <span class="check"></span>
                        Hide all my catalog items from appearing in the searchable Provider Catalog in Jumbula dashboard or any corporate websites.
                    </label>
                </div>
            </div>
        </fieldset>

        <fieldset style="min-width: inherit;">
            <legend>Catalog page banner image</legend>

            <span>
                Please upload a banner image that will appear at the top of your provider page in the Provider Catalog.
                if you do not upload your own image, the default image shown here will be displayed.
            </span>

            <div class="clearfix"></div>

            <span>
                The image must be 1600 pixels by 400 pixels. You can start with a high resolution image and during upload you can crop it to this size. For best results the original image should have an approximate proportion of 4 to 1 (image width divided by image height). Please note you cannot upload images greater than 4 mega bytes (4 MB).
            </span>

            <!-- start image cropper -->
            <div>
                <input style="margin: 20px auto 10px;display: block;" type="file" img-cropper-fileread image="cropper.sourceImage" />
                <div style="width:100%; overflow:hidden">
                    <canvas min-width="400" min-height="100" width="960" height="400" id="canvas" image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage" crop-width="1600" crop-height="400" keep-aspect="true" touch-radius="30"></canvas>
                </div>
                <div style="margin: 20px 0 10px;">Cropped Image</div>
                <div ng-show="cropper.croppedImage!=null"><img src="{{cropper.croppedImage}}" ng-src="{{cropper.croppedImage}}" ng-model="@Html.Ang(m => m.Image)" /></div>
            </div>

            <!-- end image cropper -->

        </fieldset>

        <div class="clearfix"></div>
        <hr />

        <button type="submit" ngaction="CatalogSettings_Save" class="success large place-right">Submit</button>

        <a class="place-left button link large" ui-sref='Catalogs'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>
